%define name	gcompris
%define version 6.1
%define release 2mdk
%define libname %mklibname gcompris 1.0

Summary: GCompris
Name: 	%name
Version: %version
Release: %release
License: GPL
Group: Games/Other
Source: http://prdownloads.sourceforge.net/gcompris/%name-%version.tar.bz2
BuildRoot: %_tmppath/%name-%version-buildroot
Buildrequires: gnuchess libogg-devel
Buildrequires: libxml2-devel libgnomeui2-devel
Buildrequires: libvorbis-devel libao-devel 
Buildrequires: liblinc-devel 
# (misc) needed for python support
Buildrequires: gnome-python python-devel pygtk2.0-devel
Buildrequires: texinfo tetex-texi2html libassetml-devel
Buildrequires: SDL_mixer-devel
Requires:      %{name}-sound = %{version}
# (misc) gnuchess for the chees activitie, gnome-python-canvas for python board
Requires:      gnuchess gnome-python-canvas
URL: http://www.ofset.org/gcompris/

%description
GCompris / I Have Understood is an educationnal game for 
children starting at 3.
Today several Boards are implemented:
* Click on the falling animals => learn the mouse/click usage
* Type the falling letters => learn the keyboard usage
* Falling Dices
* Falling words
* Basic algebra
* Time learning with an analog clock
* Puzzle game with famous paintings
* Drive Plane to catch clouds in increasing number
* Balance the scales
* And much more ...

You should install it if you have children using this computer.

%package -n %{libname}
Summary:        GCompris library
Group: 		Games/Other
%description -n %{libname}
This is a library used by GCompris.

%package -n %{libname}-devel
Summary:        Development files for GCompris
Group: 		Games/Other
Requires:    %{libname} = %{version}
Provides:    libgcompris-devel
%description -n  %{libname}-devel
Development file for GCompris.


%package sounds-fr
Summary:        French sounds for GCompris
Group: 		Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}
Requires:	locales-fr

%description sounds-fr
French sounds for gcompris.

%package sounds-es
Summary:        Spanish sounds for GCompris
Group: 		Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}
Requires:	locales-es

%description sounds-es
Spanish sounds for gcompris.

%package sounds-de
Summary:        German sounds for GCompris
Group:          Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}
Requires:	locales-de

%description sounds-de
German sounds for gcompris.

%package sounds-en
Summary:        English sounds for GCompris
Group: 		Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}
Requires:	locales-en

%description sounds-en
English sounds for gcompris.

%package sounds-it
Summary:        Italian sounds for GCompris
Group: 		Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}
Requires:	locales-it

%description sounds-it
Italian sounds for gcompris.


%package sounds-pt
Summary:        Portuguese sounds for GCompris
Group: 		Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}
Requires:	locales-pt

%description sounds-pt
Portuguese sounds for gcompris.

%prep
%setup -q -n %name-%version

%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
%configure 

# 6.0-1mdk, (misc)
# paralel build is broken
make

%install

rm -rf $RPM_BUILD_ROOT
%makeinstall_std

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}

cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="soundwrapper %{_bindir}/%{name}" \
title="Gcompris" \
longtitle="Educational game" \
icon="amusement_section.png" \
needs="x11" \
section="More applications/Games/Other"
?package(%{name}): \
command="%{_bindir}/%{name}_edit" \
title="Gcompris editor" \
longtitle="The game editor of gcompris" \
icon="amusement_section.png" \
needs="x11" \
section="More applications/Games/Other"
EOF

)
 
%find_lang %name
find $RPM_BUILD_ROOT/%_datadir/%{name}/ -type d | grep -v sounds | sed 's|'$RPM_BUILD_ROOT'\(.*\)|%dir "\1" |' > %{name}.dir
find $RPM_BUILD_ROOT/%_datadir/%{name}/ -type f | grep -v sounds | sed 's|'$RPM_BUILD_ROOT'\(.*\)|"\1"|' > %{name}.files
find $RPM_BUILD_ROOT/%_datadir/%{name}/boards/sounds/ -type f -maxdepth 1 | sed 's|'$RPM_BUILD_ROOT'||' >> %{name}.files

cat  %{name}.dir %{name}.files %{name}.lang > %{name}.all

rm -rf $RPM_BUILD_ROOT/%_datadir/locale/*/LC_MESSAGES/*GETTEXT*

%clean
rm -rf $RPM_BUILD_ROOT

%post 

%update_menus

%_install_info %{name}.info

%postun 

%clean_menus

%preun

%_remove_install_info %{name}.info

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.all
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/*

%_libdir/%{name}/

%_datadir/applications/*
%_datadir/assetml/*

%dir %_datadir/gnome/help/%{name}/
%_datadir/gnome/help/%{name}/*

%_datadir/%name/boards/sounds/chronos
%_datadir/pixmaps/*
%_menudir/*
%_infodir/*

%_datadir/%name/boards/sounds/melody/
%dir %_datadir/%name/boards/sounds/

%files sounds-de
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/de/*
%dir %_datadir/%{name}/boards/sounds/de

%files sounds-en
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/en/*
%dir %_datadir/%{name}/boards/sounds/en

%files sounds-es
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/es/*
%dir %_datadir/%{name}/boards/sounds/es

%files sounds-fr
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/fr/*
%dir %_datadir/%{name}/boards/sounds/fr

%files sounds-pt
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/pt/*
%dir %_datadir/%{name}/boards/sounds/pt

%files sounds-it
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/it/*
%dir %_datadir/%{name}/boards/sounds/it

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/libgcompris-1.0/
%{_libdir}/pkgconfig/*
%{_libdir}/*so
%{_libdir}/*la

%changelog
* Sat Jul 03 2004 Michael Scherer <misc@mandrake.org> 6.1-2mdk 
- fix Requires ( thanks Jos JORGE <jjorge@free.fr> )

* Sun Jun 20 2004 Michael Scherer <misc@mandrake.org> 6.1-1mdk
- New release 6.1

* Thu Jun 10 2004 Olivier Blin <blino@mandrake.org> 6.0-3mdk
- BuildRequires SDL_mixer-devel

* Fri May 28 2004 Michael Scherer <misc@mandrake.org> 6.0-2mdk 
- [DIRM]

* Wed May 26 2004 Michael Scherer <misc@mandrake.org> 6.0-1mdk
- New release 6.0
- split in library

* Mon Apr 12 2004 Michael Scherer <misc@mandrake.org> 5.2-1mdk
- New release 5.2
- rpmbuildupdate aware

* Mon Feb 09 2004 Michael Scherer <misc@mandrake.org> 5.1-1mdk
- 5.1
 
* Sun Feb 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 5.0-1mdk
- 5.0
- change menu section (if someone find somethin more convenient...)

* Thu Dec 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 4.2-1mdk
- 4.2

* Wed Nov 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 4.1-1mdk
- 4.1
- requires on locales.
- fix filelist for new release

* Fri Oct 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.2-4mdk
- remove garbage lines at the end of the changelog

* Tue Sep 02 2003 Michael Scherer <scherer.michael@free.fr> 3.2-3mdk 
- since libao does not include libarts for these release, use soundwrapper in menu

* Sun Aug 31 2003 Michael Scherer <scherer.michael@free.fr> 3.2-2mdk
- s/tetex/tetex-texi2html/ in BuildRequires 

* Mon Aug 18 2003 Michael Scherer <scherer.michael@free.fr> 3.2-1mdk 
- 3.2 
- split the sound package
- [DIRM]
- clean BuildRequires

* Fri Aug 01 2003 Michael Scherer <scherer.michael@free.fr> 2.3-3mdk
- Builrequires texinfo and texi2html ( for documentation ) 

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3-2mdk
- buildrequires

* Tue Feb 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- 2.3

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.1-1mdk
- 2.1

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-2mdk
- rebuild

* Tue May 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Tue Apr 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Tue Apr 09 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- fix buid ( libxml2 headers )

* Tue Mar 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-0.2mdk
- 1.0.0Pre4

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-0.1mdk
- 1.0.0Pre2
- fix build (libxml)

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7.5-2mdk
- Use standard icon for menu
- Fix build

* Wed Sep 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- updated to 0.6.5

* Tue Jul 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.6.3-2mdk
- moved plugins to a subdir of /usr/lib to avoid conflict with
ncurses-devel.

* Fri Jul 13 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated to 0.6.3

* Thu Dec 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- updated to 0.3.5

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- new in contribs

